<?php

// Reminder: always indent with 4 spaces (no tabs). 
// +---------------------------------------------------------------------------+
// | Archive plugin 1.2 for Geeklog                                            |
// +---------------------------------------------------------------------------+
// | index.php                                                                 |
// |                                                                           |
// | This is the administration page of the                                    |
// | Archive plugin for Geeklog.                                               |
// +---------------------------------------------------------------------------+
// | Based on the Universal Plugin and prior work by the following authors.    |
// |                                                                           |
// | Copyright (C) 2002-2007 by the following authors:                         |
// |                                                                           |
// | Authors: Euan McKay        - info AT heatherengineering DOT com           |
// |          Tony Bibbs        - tony AT tonybibbs DOT com                    |
// |          Tom Willett       - tom AT pigstye DOT net                       |
// |          Blaine Lang       - blaine AT portalparts DOT com                |
// |          Dirk Haun         - dirk AT haun-online DOT de                   |
// |          Vincent Furia     - vinny01 AT users DOT sourceforge DOT net     |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//


/**
* File includes
*/
require_once '../../../lib-common.php';
require_once '../../auth.inc.php';


/**
* Initialise display
*/
$display = '';


/**
* Security check
*/
if (!SEC_hasRights('archive.edit')) {
    $display .= COM_siteHeader('menu', $MESSAGE[30]);
    $display .= COM_startBlock($MESSAGE[30], '',
                                COM_getBlockTemplate('_msg_block', 'header'));
    $display .= $MESSAGE[34];
    $display .= COM_endBlock(COM_getBlockTemplate('_msg_block', 'footer'));
    $display .= COM_siteFooter();
    COM_accessLog("Illegal access: Archive administration page. User: {$_USER['username']}.");
    echo $display;
    exit;
}


/**
* function archive_admin_show_settings()
* 
* Shows the archive admin page
*
* @return string HTML
*
*/
function archive_admin_show_settings() 
{
    global $LANG_AR_ADMIN;

    $retval = '';
    $retval .= COM_startBlock($LANG_AR_ADMIN[1], '',
                    COM_getBlockTemplate('_admin_block', 'header'));
    $retval .= $LANG_AR_ADMIN[2];
    $retval .= COM_endBlock(COM_getBlockTemplate('_admin_block', 'footer'));
    return $retval;
}


// +---------------------------------------------------------------------------+
// | Main                                                                      |
// +---------------------------------------------------------------------------+

$display .= COM_siteHeader('menu', $LANG_AR_ADMIN[11]);
$display .= archive_admin_show_settings();
$display .= COM_siteFooter();

echo $display;

?>
