<?php

// Reminder: always indent with 4 spaces (no tabs). 
// +---------------------------------------------------------------------------+
// | Archive plugin 1.2 for Geeklog                                            |
// +---------------------------------------------------------------------------+
// | archivetypes.php                                                          |
// |                                                                           |
// | Include plugin items file for the Geeklog Archive Plugin                  |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2000-2007 by the following authors:                         |
// |                                                                           |
// | Authors: Euan McKay        - info AT heatherengineering DOT com           |
// |          Tony Bibbs        - tony AT tonybibbs DOT com                    |
// |          Mark Limburg      - mlimburg AT users.sourceforge DOT net        |
// |          Jason Whittenburg - jwhitten AT securitygeeks DOT com            |
// |          Dirk Haun         - dirk AT haun-online DOT de                   |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is licensed under the terms of the GNU General Public License|
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      |
// | See the GNU General Public License for more details.                      |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+



/** *****************  Functions for archive native types  ***************** **/

// +---------------------------------------------------------------------------+
// | Archive text item functions                                               |
// +---------------------------------------------------------------------------+

// archive_list_texts
// archive_edit_text
// archive_save_text
// archive_delete_text

/**
* Lists all text items for a given archive item
*/
function archive_list_texts ($parent, $ajaxmode) {
    global $_CONF, $_TABLES, $LANG_AR, $_AR_CONF, $_USER;
    $retval = '';
    $access = 0;

    // Get access rights for the parent archive item from DB
    $result = DB_query("SELECT created,owner_id,group_id,perm_owner,
                         perm_group,perm_members,perm_anon 
                         FROM {$_TABLES['archive']} WHERE id='{$parent}'");
    $A = DB_fetchArray ($result);
    $access = SEC_hasAccess ($A['owner_id'], $A['group_id'],$A['perm_owner'], 
                             $A['perm_group'], $A['perm_members'],$A['perm_anon']);

    // Get all texts for this archive item from DB
    $result = DB_query("SELECT * FROM {$_TABLES['archive_text']} 
                         WHERE (parent='{$parent}')
                         ORDER BY sortorder");

    // Set templates
    $T = new Template($_CONF['path'] . 'plugins/archive/templates/');
    $T->set_file(array ('list' => 'text_list.thtml',
                        'item' => 'text_item.thtml'));
    $T->set_var('site_url', $_CONF['site_url']);

    // Loop through text items
    $nrows  = DB_numRows ($result);
    if ($nrows > 0) {
        $T->set_var('lang_archive_texts', $LANG_AR['archive_texts']);
        for ($i = 1; $i <= $nrows; $i++) {
            $A = DB_fetchArray ($result);
            $T->set_var ('text_title', $A['title']);
            // replace linefeeds with <br /> tags
            $linefeed = "\r";
            $content =  str_replace($linefeed, "<BR />", stripslashes ($A['content']));
            $T->set_var ('text_content', PLG_replaceTags($content));
            // add link to edit if has rights
            if ($access<3) {
                $T->set_var('edit_text_item', '');
            } else {
                if ($_AR_CONF['ajax']==1) {
                    // AJAX style inline editing
                     $edit = '<a href="' . $_CONF['site_url'] . '/archive/index.php?mode=edit&type=text&id='.$A['textid'].'" onclick="new Ajax.Updater(\'archive_text_item_' . $A['textid'] . '\', \'' . $_CONF['site_url'] . '/archive/index.php?mode=editajax&type=text&id=' . $A['textid'] . '\', {asynchronous:true, evalScripts:true }); return false;"><img src="'.$_CONF['site_url'] . '/archive/images/edit.gif"></a>';
                     $delete = '<a href="' . $_CONF['site_url'] . '/archive/index.php?mode=delete&type=text&id='.$A['textid'].'" onclick="new Ajax.Updater(\'archive_text\', \'' . $_CONF['site_url'] . '/archive/index.php?mode=deleteajax&type=text&id=' . $A['textid'] . '\', {asynchronous:true, evalScripts:true }); return false;"><img src="'.$_CONF['site_url'] . '/archive/images/delete.gif"></a>';
                     $T->set_var ('item_id', $A['textid']);
                } else {
                    //standard type
                    $editurl   = COM_buildUrl ($_CONF['site_url'] . '/archive/index.php'
                               . '?mode=edit&type=text&id=' . $A['textid']);
                    $edit      = '<a href="' . $editurl.'" title="' . $LANG_AR['edit'] . '">' 
                               . '<img src="' . $_CONF['site_url'] . '/archive/images/edit.gif">' 
                               . '</a>';
                    $deleteurl = COM_buildUrl ($_CONF['site_url'] . '/archive/index.php'
                               . '?mode=delete&type=text&id=' . $A['textid']);
                    $delete    = '<a href="' . $deleteurl . '" title="' . $LANG_AR['delete'] . '">' 
                               . '<img src="' . $_CONF['site_url'] . '/archive/images/delete.gif">' 
                               . '</a>';
                }
                $T->set_var ('edit_text_item', $edit);
                $T->set_var ('delete_text_item', $delete);
            }
            $T->parse ('archive_texts', 'item', true);
        }
    } else {
       // Set link to create new text if has rights
        if ($access<3) {
            $T->set_var('lang_archive_texts', '');
            $T->set_var('add_text', '');
            $T->set_var('archive_texts', '');
        } else {
            $T->set_var('lang_archive_texts', $LANG_AR['archive_texts']);
            $T->set_var('archive_texts', $LANG_AR['no_texts']);
        }
    }

    // Set link to add new text item if has permissions
    if ($access>2) {
        if ($_AR_CONF['ajax']==1) {
            // AJAX style inline editing
             $link = '<a href="' . $_CONF['site_url'] . '/archive/index.php?mode=edit&type=text&parent=' . $parent . '" onclick="new Ajax.Updater(\'new_text_item\', \'' . $_CONF['site_url'] . '/archive/index.php?mode=editajax&type=text&parent=' . $parent . '\', {asynchronous:true, evalScripts:true }); return false;"><img src="'.$_CONF['site_url'] . '/archive/images/add.gif"></a>';
        } else {
            //standard type
            $url = COM_buildUrl ($_CONF['site_url'] . '/archive/index.php?mode=edit&type=text&parent='.$parent);
            $link = '<a href="'.$url.'" title="' . $LANG_AR['add_text'] . '">' 
                        . '<img src="'.$_CONF['site_url'] . '/archive/images/add.gif">' 
                        . '</a>';
        }
        $T->set_var('add_text', $link);
    }

    // Parse template
    $T->parse('output', 'list');
    $retval = $T->finish($T->get_var('output'));

    // Return HTML
    return $retval;
}


/**
* Edit a text item
*/
function archive_edit_text ($parent, $textid = '', $ajaxmode) 
{
    global $_CONF, $LANG_AR, $LANG_ADMIN, $_AR_CONF, $_TABLES;

    $retval = '';

    // Check at least one ID exists
    if (empty($parent) && empty($textid)) {
        // no id, so something is wrong. Refresh to top page
        return COM_refresh ($_CONF['site_url']. '/archive/index.php?msg=4');
    }

    // Check text item ID exists
    if (empty ($textid)) {
        // No, so create a new one
        $textid = COM_makeSid ();
        $title = '';
        $content = '';
    } else {
        // Existing item, so get data
        $result = DB_query("SELECT * FROM {$_TABLES['archive_text']} WHERE textid='{$textid}'");
        $A = DB_fetchArray ($result);
        $parent = $A['parent'];
        $textid = $A['textid'];
        $sortorder = $A['sortorder'];
        $title = stripslashes($A['title']);
        $content = stripslashes($A['content']);
    }

    // Set templates
    $T = new Template($_CONF['path'] . 'plugins/archive/templates/');
    if ($ajaxmode==true) {
        // AJAX, so use minimal template
        $T->set_file('page','text_editor_ajax.thtml');
    } else {
        // normal mode, so use normal template
        $T->set_file('page','text_editor.thtml');
    }
    $T->set_var('site_url', $_CONF['site_url']);
    $T->set_var('layout_url',$_CONF['layout_url']);
    $T->set_var('plugin_name', $LANG_AR['archive']);
    $T->set_var('description', $LANG_AR['text_editor']);
    $T->set_var('title', $title);
    $T->set_var('content', $content);
    $T->set_var('parent', $parent);
    $T->set_var('sortorder', $sortorder);
    $T->set_var('textid', $textid);
    $T->set_var('lang_title', $LANG_AR['title']);
    $T->set_var('lang_sortorder', $LANG_AR['sortorder']);
    $T->set_var('lang_content', $LANG_AR['content']);
    $T->set_var('lang_save', $LANG_ADMIN['save']);
    $T->set_var('lang_cancel', $LANG_ADMIN['cancel']);

    // Parse output
    $T->parse('output', 'page');
    $retval .= $T->finish($T->get_var('output'));

    // Return
    return $retval;
}



/**
* Saves a text item to the archive plugin database
*/
function archive_save_text ($R)
{
    global $_CONF, $_GROUPS, $_TABLES, $_USER, $MESSAGE, $LANG_AR, $_AR_CONF, $PLG_archive_MESSAGE4;
    $retval = '';

    $ajaxmode = COM_applyFilter ($R['ajaxmode']);
    $textid = COM_applyFilter ($R['textid']);
    $sortorder = COM_applyFilter ($R['sortorder']);
    $title = addslashes (COM_checkHTML (COM_checkWords ($R['title'])));
    $content = addslashes (COM_checkHTML (COM_checkWords ($R['content'])));
    $parent = COM_applyFilter ($R['parent']);

    // Does user have access permission on the parent item?
    $access = 0;
    $result = DB_query("SELECT owner_id,group_id,perm_owner,perm_group,perm_members,perm_anon 
                         FROM {$_TABLES['archive']} 
                         WHERE id='{$parent}'");
    $A = DB_fetchArray ($result);
    $access = SEC_hasAccess ($A['owner_id'], $A['group_id'], $A['perm_owner'], $A['perm_group'],
                             $A['perm_members'], $A['perm_anon']);

    // Does the user have permission to edit this item?
    if (($access < 3) || !SEC_inGroup ($A['group_id'])) {
        // No, so tell them so and log it
        $display .= COM_siteHeader('menu', $MESSAGE[30]);
        $display .= COM_startBlock($MESSAGE[30], '',
                            COM_getBlockTemplate('_msg_block', 'header'));
        $display .= $MESSAGE[31];
        $display .= COM_endBlock(COM_getBlockTemplate('_msg_block', 'footer'));
        $display .= COM_siteFooter();
        COM_accessLog("User {$_USER['username']} tried illegally to edit text item {$id}.");
        echo $display;
        exit;
    } elseif (!empty($title) && !empty($content)) {
        // Yes, they have permission so save this item
        DB_save ($_TABLES['archive_text'], 
                 'textid,parent,title,content,sortorder',
                 "'$textid','$parent','$title','$content','$sortorder'");

        // Updatemodified date on parent
        archive_modified_date($parent);

        // Update RDF
        COM_rdfUpToDateCheck ('archive', $title, $parent);
        // Set return message
        if ($ajaxmode==true) {
            // AJAX mode, so return section only
            $retval = archive_list_texts ($parent, true);
        } else {
            // otherwise, refresh whole page
            $retval = $_CONF['site_url']. '/archive/index.php?id='.$parent.'&msg=1';
        }
    } else {
        // Missing data
        if ($ajaxmode==true) {
            // AJAX mode, so return section only
            $retval = $PLG_archive_MESSAGE4 . "<br>" . archive_list_texts ($parent, true);
        } else {
            // otherwise, refresh whole page
            $retval = $_CONF['site_url']. '/archive/index.php?id='.$parent.'&msg=4';
        }

    }

    // Return result
    return $retval;
}



/**
* Delete an archive text item
*/

function archive_delete_text ($textid, $ajaxmode)
{
    global $_CONF, $_TABLES, $_USER, $_AR_CONF;

    // Get parent ID
    $result = DB_query("SELECT parent FROM {$_TABLES['archive_text']} WHERE textid='{$textid}'");
    $A = DB_fetchArray ($result);
    $parent = $A['parent'];

    // Get permission values
    $result = DB_query("SELECT owner_id,group_id,perm_owner,perm_group,perm_members,perm_anon 
                         FROM {$_TABLES['archive']} 
                         WHERE id='{$parent}'");
    $A = DB_fetchArray ($result);
    $access = SEC_hasAccess ($A['owner_id'], $A['group_id'], $A['perm_owner'],
                             $A['perm_group'], $A['perm_members'], $A['perm_anon']);
    if ($access < 3) {
        // No access rights, so log and return
        COM_accessLog("User {$_USER['username']} tried to illegally delete archive text $textid.");
        return $_CONF['site_url'] . '/archive/index.php';
    }

    // Delete text item
    DB_delete ($_TABLES['archive_text'], 'textid', $textid);

    // Set return message
    if ($ajaxmode==1) {
        // AJAX mode, so return section only
        $retval = archive_list_texts ($parent, true);
    } else {
        // otherwise, refresh whole page
        $retval = $_CONF['site_url']. '/archive/index.php?id='.$parent.'&msg=9';
    }

    // return value
    return $retval;
}




// +---------------------------------------------------------------------------+
// | Archive address item functions                                            |
// +---------------------------------------------------------------------------+

// archive_list_addresses
// archive_edit_address
// archive_save_address
// archive_delete_address

/**
* List all addresses for an archive item
*/
function archive_list_addresses ($parent) {
    global $_CONF, $_TABLES, $LANG_AR, $_AR_CONF;
    $retval = '';

    // Get access rights for the parent archive item from DB
    $result = DB_query("SELECT created,owner_id,group_id,perm_owner,
                             perm_group,perm_members,perm_anon 
                         FROM {$_TABLES['archive']} 
                         WHERE id='{$parent}'");
    $A = DB_fetchArray ($result);
    $access = SEC_hasAccess ($A['owner_id'], $A['group_id'],$A['perm_owner'], 
                             $A['perm_group'], $A['perm_members'],$A['perm_anon']);

    // Get all archives from DB
    $result = DB_query("SELECT * FROM {$_TABLES['archive_address']}
                         WHERE parent='{$parent}'
                         ORDER BY sortorder");

    // Set template variables
    $T = new Template($_CONF['path'] . 'plugins/archive/templates/');
    $T->set_file(array ('list' => 'address_list.thtml',
                        'item' => 'address_item.thtml'));
    $T->set_var('site_url', $_CONF['site_url']);


    // Loop through texts
    $nrows  = DB_numRows ($result);
    if ($nrows > 0) {
        $T->set_var('lang_archive_addresses', $LANG_AR['archive_addresses']);
        for ($i = 1; $i <= $nrows; $i++) {
            $A = DB_fetchArray ($result);
            $T->set_var ('address_title', $A['title']);
            if (!empty($A['address1'])) {
                $T->set_var('address1', stripslashes($A['address1']).'<br>');
                $T->set_var('lang_address1', $LANG_AR['address1'].': ');
            } else {
               $T->set_var('address1', '');
               $T->set_var('lang_address1', '');
            }
            if (!empty($A['address2'])) {
                $T->set_var('address2', stripslashes($A['address2']).'<br>');
                $T->set_var('lang_address2', $LANG_AR['address2'].': ');
            } else {
               $T->set_var('address2', '');
               $T->set_var('lang_address2', '');
            }
            if (!empty($A['address3'])) {
                $T->set_var('address3', stripslashes($A['address3']).'<br>');
                $T->set_var('lang_address3', $LANG_AR['address3'].': ');
            } else {
               $T->set_var('address3', '');
               $T->set_var('lang_address3', '');
            }
            if (!empty($A['address4'])) {
                $T->set_var('address4', stripslashes($A['address4']).'<br>');
                $T->set_var('lang_address4', $LANG_AR['address4'].': ');
            } else {
                $T->set_var('address4', '');
                $T->set_var('lang_address4', '');
            }
            if (!empty($A['address5'])) {
                $T->set_var('address5', stripslashes($A['address5']).'<br>');
                $T->set_var('lang_address5', $LANG_AR['address5'].': ');
            } else {
                $T->set_var('address5', '');
                $T->set_var('lang_address5', '');
            }
            if (!empty($A['city'])) {
                $T->set_var('city', stripslashes($A['city']).'<br>');
                $T->set_var('lang_city', $LANG_AR['city'].': ');
            } else {
                $T->set_var('city', '');
                $T->set_var('lang_city', '');
            }
            if (!empty($A['state'])) {
                $T->set_var('state', stripslashes($A['state']).'<br>');
                $T->set_var('lang_state', $LANG_AR['state'].': ');
            } else {
                $T->set_var('state', '');
                $T->set_var('lang_state', '');
            }
            if (!empty($A['country'])) {
                $T->set_var('country', stripslashes($A['country']).'<br>');
                $T->set_var('lang_country', $LANG_AR['country'].': ');
            } else {
                $T->set_var('country', '');
                $T->set_var('lang_country', '');
            }
            if (!empty($A['postcode'])) {
                $T->set_var('postcode', stripslashes($A['postcode']).'<br>');
                $T->set_var('lang_postcode', $LANG_AR['postcode'].': ');
            } else {
                $T->set_var('postcode', '');
                $T->set_var('lang_postcode', '');
            }
            if (!empty($A['telephone1'])) {
                $T->set_var('telephone1', stripslashes($A['telephone1']).'<br>');
                $T->set_var('lang_telephone1', $LANG_AR['telephone1'].': ');
            } else {
                $T->set_var('telephone1', '');
                $T->set_var('lang_telephone1', '');
            }
            if (!empty($A['telephone2'])) {
                $T->set_var('telephone2', stripslashes($A['telephone2']).'<br>');
                $T->set_var('lang_telephone2', $LANG_AR['telephone2'].': ');
            } else {
                $T->set_var('telephone2', '');
                $T->set_var('lang_telephone2', '');
            }
            if (!empty($A['telephone3'])) {
                $T->set_var('telephone3', stripslashes($A['telephone3']).'<br>');
                $T->set_var('lang_telephone3', $LANG_AR['telephone3'].': ');
            } else {
                $T->set_var('telephone3', '');
                $T->set_var('lang_telephone3', '');
            }
            if (!empty($A['facsimile1'])) {
                $T->set_var('facsimile1', stripslashes($A['facsimile1']).'<br>');
                $T->set_var('lang_facsimile1', $LANG_AR['facsimile1'].': ');
            } else {
                $T->set_var('facsimile1', '');
                $T->set_var('lang_facsimile1', '');
            }
            if (!empty($A['facsimile2'])) {
                $T->set_var('facsimile2', stripslashes($A['facsimile2']).'<br>');
                $T->set_var('lang_facsimile2', $LANG_AR['facsimile2'].': ');
            } else {
                $T->set_var('facsimile2', '');
                $T->set_var('lang_facsimile2', '');
            }
            if (!empty($A['facsimile3'])) {
                $T->set_var('facsimile3', stripslashes($A['facsimile3']).'<br>');
                $T->set_var('lang_facsimile3', $LANG_AR['facsimile3'].': ');
            } else {
                $T->set_var('facsimile3', '');
                $T->set_var('lang_facsimile3', '');
            }

            // add link to edit if has rights
            if ($access<3) {
                $T->set_var('edit_address_item', '');
            } else {
                if ($_AR_CONF['ajax']==1) {
                    // AJAX style inline editing
                     $edit = '<a href="' . $_CONF['site_url'] . '/archive/index.php?mode=edit&type=address&id='.$A['addressid'].'" onclick="new Ajax.Updater(\'archive_address_item_' . $A['addressid'] . '\', \'' . $_CONF['site_url'] . '/archive/index.php?mode=editajax&type=address&id=' . $A['addressid'] . '\', {asynchronous:true, evalScripts:true }); return false;"><img src="'.$_CONF['site_url'] . '/archive/images/edit.gif"></a>';
                     $delete = '<a href="' . $_CONF['site_url'] . '/archive/index.php?mode=delete&type=address&id='.$A['addressid'].'" onclick="new Ajax.Updater(\'archive_addresses\', \'' . $_CONF['site_url'] . '/archive/index.php?mode=deleteajax&type=address&id=' . $A['addressid'] . '\', {asynchronous:true, evalScripts:true }); return false;"><img src="'.$_CONF['site_url'] . '/archive/images/delete.gif"></a>';
                     $T->set_var ('item_id', $A['addressid']);
                } else {
                    //standard type
                    $editurl   = COM_buildUrl ($_CONF['site_url'] . '/archive/index.php'
                               . '?mode=edit&type=address&id=' . $A['addressid']);
                    $edit      = '<a href="' . $editurl . '" title="' . $LANG_AR['edit'] . '">' 
                               . '<img src="' . $_CONF['site_url'] . '/archive/images/edit.gif">' 
                               . '</a>';
                    $deleteurl = COM_buildUrl ($_CONF['site_url'] . '/archive/index.php'
                               . '?mode=delete&type=address&id=' . $A['addressid']);
                    $delete    = '<a href="' . $deleteurl . '" title="' . $LANG_AR['delete'] . '">' 
                               . '<img src="' . $_CONF['site_url'] . '/archive/images/delete.gif">' 
                               . '</a>';
                }
                $T->set_var('edit_address_item', $edit);
                $T->set_var('delete_address_item', $delete);
            }
            $T->parse ('addresses', 'item', true);
        }
   } else {
       // Set link to create new address if has rights
        if ($access>2) {
            $T->set_var('lang_archive_addresses', $LANG_AR['archive_addresses']);
            $T->set_var('addresses', $LANG_AR['no_addresses']);
        } else {
            $T->set_var('lang_archive_addresses', '');
            $T->set_var('add_address', '');
            $T->set_var('archive_addresses', '');
        }
    }

    // Set link to add new address item if has rights
    if ($access>2) {
        if ($_AR_CONF['ajax']==1) {
            // AJAX style inline editing
             $link = '<a href="' . $_CONF['site_url'] . '/archive/index.php?mode=edit&type=address&parent=' . $parent . '" onclick="new Ajax.Updater(\'new_address_item\', \'' . $_CONF['site_url'] . '/archive/index.php?mode=editajax&type=address&parent=' . $parent . '\', {asynchronous:true, evalScripts:true }); return false;"><img src="'.$_CONF['site_url'] . '/archive/images/add.gif"></a>';
        } else {
            //standard type
            $url = COM_buildUrl ($_CONF['site_url'] . '/archive/index.php?mode=edit&type=address&parent='.$parent);
            $link = '<a href="'.$url.'" title="' . $LANG_AR['add_address'] . '">' 
                        . '<img src="'.$_CONF['site_url'] . '/archive/images/add.gif">' 
                        . '</a>';
        }
        $T->set_var('add_address', $link);
    }

    // Parse template
    $T->parse('output', 'list');
    $retval = $T->finish($T->get_var('output'));

    // Return HTML
    return $retval;
}


/**
* Edit an address item
*/
function archive_edit_address ($parent, $addressid = '', $ajaxmode) 
{
    global $_CONF, $LANG_AR, $LANG_ADMIN, $_AR_CONF, $_TABLES;

    $retval = '';

    // Check at least one ID exists
    if (empty($parent) && empty($addressid)) {
        return COM_refresh ($_CONF['site_url']. '/archive/index.php?msg=4');
    }

    // Check ID exists
    if (empty ($addressid)) {
        // No, so create a new one
        $addressid = COM_makeSid ();
        $title = '';
    } else {
        // Existing item, so get data
        $result = DB_query("SELECT * FROM ".$_TABLES['archive_address']." WHERE (addressid ='".$addressid."')");
        $A = DB_fetchArray ($result);
        $parent = $A['parent'];
        $addressid = $A['addressid'];
        $sortorder = $A['sortorder'];
        $title = stripslashes($A['title']);
    }

    // Set templates
    $T = new Template($_CONF['path'] . 'plugins/archive/templates/');
    if ($ajaxmode==true) {
        // AJAX, so use minimal template
        $T->set_file('page','address_editor_ajax.thtml');
    } else {
        // normal mode, so use normal template
        $T->set_file('page','address_editor.thtml');
    }
    $T->set_var('site_url', $_CONF['site_url']);
    $T->set_var('layout_url',$_CONF['layout_url']);
    $T->set_var('plugin_name', $LANG_AR['archive']);
    $T->set_var('description', $LANG_AR['address_editor']);
    $T->set_var('lang_sortorder', $LANG_AR['sortorder']);
    $T->set_var('sortorder', $sortorder);
    $T->set_var('title', $title);
    $T->set_var('parent', $parent);
    $T->set_var('addressid', $addressid);
    $T->set_var('address1', stripslashes($A['address1']));
    $T->set_var('address2', stripslashes($A['address2']));
    $T->set_var('address3', stripslashes($A['address3']));
    $T->set_var('address4', stripslashes($A['address4']));
    $T->set_var('address5', stripslashes($A['address5']));
    $T->set_var('city', stripslashes($A['city']));
    $T->set_var('state', stripslashes($A['state']));
    $T->set_var('country', stripslashes($A['country']));
    $T->set_var('postcode', stripslashes($A['postcode']));
    $T->set_var('telephone1', stripslashes($A['telephone1']));
    $T->set_var('telephone2', stripslashes($A['telephone2']));
    $T->set_var('telephone3', stripslashes($A['telephone3']));
    $T->set_var('facsimile1', stripslashes($A['facsimile1']));
    $T->set_var('facsimile2', stripslashes($A['facsimile2']));
    $T->set_var('facsimile3', stripslashes($A['facsimile3']));
    $T->set_var('lang_title', $LANG_AR['title']);
    $T->set_var('lang_address1', $LANG_AR['address1']);
    $T->set_var('lang_address2', $LANG_AR['address2']);
    $T->set_var('lang_address3', $LANG_AR['address3']);
    $T->set_var('lang_address4', $LANG_AR['address4']);
    $T->set_var('lang_address5', $LANG_AR['address5']);
    $T->set_var('lang_city', $LANG_AR['city']);
    $T->set_var('lang_state', $LANG_AR['state']);
    $T->set_var('lang_country', $LANG_AR['country']);
    $T->set_var('lang_postcode', $LANG_AR['postcode']);
    $T->set_var('lang_telephone1', $LANG_AR['telephone1']);
    $T->set_var('lang_telephone2', $LANG_AR['telephone2']);
    $T->set_var('lang_telephone3', $LANG_AR['telephone3']);
    $T->set_var('lang_facsimile1', $LANG_AR['facsimile1']);
    $T->set_var('lang_facsimile2', $LANG_AR['facsimile2']);
    $T->set_var('lang_facsimile3', $LANG_AR['facsimile3']);
    $T->set_var('lang_save', $LANG_ADMIN['save']);
    $T->set_var('lang_cancel', $LANG_ADMIN['cancel']);

    // Parse output
    $T->parse('output', 'page');
    $retval .= $T->finish($T->get_var('output'));

    // Return
    return $retval;
}



/**
* Saves an address item to the archive plugin database
*/
function archive_save_address ($R)
{
    global $_CONF, $_GROUPS, $_TABLES, $_USER, $MESSAGE, $LANG_AR, $_AR_CONF, $PLG_archive_MESSAGE4;
    $retval = '';

    // Prepare data
    $ajaxmode = COM_applyFilter ($R['ajaxmode']);
    $sortorder = COM_applyFilter ($R['sortorder']);
    $addressid = COM_applyFilter ($R['addressid']);
    $parent = COM_applyFilter ($R['parent']);
    $title = addslashes (COM_checkHTML (COM_checkWords ($R['title'])));
    $address1 = addslashes (COM_checkHTML (COM_checkWords ($R['address1'])));
    $address2 = addslashes (COM_checkHTML (COM_checkWords ($R['address2'])));
    $address3 = addslashes (COM_checkHTML (COM_checkWords ($R['address3'])));
    $address4 = addslashes (COM_checkHTML (COM_checkWords ($R['address4'])));
    $address5 = addslashes (COM_checkHTML (COM_checkWords ($R['address5'])));
    $city = addslashes (COM_checkHTML (COM_checkWords ($R['city'])));
    $state = addslashes (COM_checkHTML (COM_checkWords ($R['state'])));
    $country = addslashes (COM_checkHTML (COM_checkWords ($R['country'])));
    $postcode = addslashes (COM_checkHTML (COM_checkWords ($R['postcode'])));
    $telephone1 = addslashes (COM_checkHTML (COM_checkWords ($R['telephone1'])));
    $telephone2 = addslashes (COM_checkHTML (COM_checkWords ($R['telephone2'])));
    $telephone3 = addslashes (COM_checkHTML (COM_checkWords ($R['telephone3'])));
    $facsimile1 = addslashes (COM_checkHTML (COM_checkWords ($R['facsimile1'])));
    $facsimile2 = addslashes (COM_checkHTML (COM_checkWords ($R['facsimile2'])));
    $facsimile3 = addslashes (COM_checkHTML (COM_checkWords ($R['facsimile3'])));

    // Does user have access permission on the parent item?
    $access = 0;
    $result = DB_query("SELECT owner_id,group_id,perm_owner,perm_group,perm_members,perm_anon 
                         FROM {$_TABLES['archive']} 
                         WHERE id='{$parent}'");
    $A = DB_fetchArray ($result);
    $access = SEC_hasAccess ($A['owner_id'], $A['group_id'], $A['perm_owner'], 
                             $A['perm_group'], $A['perm_members'],$A['perm_anon']);

    // Does the user have permission to edit this item?
    if (($access < 3) || !SEC_inGroup ($A['group_id'])) {
        // No, so tell them so and log it
        $display .= COM_siteHeader('menu', $MESSAGE[30]);
        $display .= COM_startBlock($MESSAGE[30], '',
                            COM_getBlockTemplate('_msg_block', 'header'));
        $display .= $MESSAGE[31];
        $display .= COM_endBlock(COM_getBlockTemplate('_msg_block', 'footer'));
        $display .= COM_siteFooter();
        COM_accessLog("User {$_USER['username']} tried illegally to edit archive address $id.");
        echo $display;
        exit;
    } elseif (!empty($title)) {
        // Yes, so save this item
        DB_save ($_TABLES['archive_address'], 
                 'addressid,sortorder,parent,title,address1,address2,address3,address4,address5,
                  city,state,country,postcode,telephone1,telephone2,telephone3,
                  facsimile1,facsimile2,facsimile3', 
                 "'$addressid','$sortorder','$parent','$title',
                  '$address1','$address2','$address3','$address4','$address5','$city','$state',
                  '$country','$postcode','$telephone1','$telephone2','$telephone3',
                  '$facsimile1','$facsimile2','$facsimile3'");

        // Updatemodified date on parent
        archive_modified_date($parent);

        // Update RDF
        COM_rdfUpToDateCheck ('archive', $title, $parent);

        // Set return message
        if ($ajaxmode==true) {
            // AJAX mode, so return section only
            $retval = archive_list_addresses ($parent);
        } else {
            // otherwise, refresh whole page
            $retval = $_CONF['site_url']. '/archive/index.php?id='.$parent.'&msg=1';
        }
    } else {
        // Missing data
        if ($ajaxmode==true) {
            // AJAX mode, so return section only
            $retval = $PLG_archive_MESSAGE4 . "<br>" . archive_list_addresses ($parent);
        } else {
            // otherwise, refresh whole page
            $retval = $_CONF['site_url']. '/archive/index.php?id='.$parent.'&msg=4';
        }
    }

    // Return result
    return $retval;
}



/**
* Delete an archive address item
*/
function archive_delete_address ($addressid, $ajaxmode)
{
    global $_CONF, $_TABLES, $_USER, $_AR_CONF;

    // Get parent ID
    $result = DB_query("SELECT parent 
                         FROM {$_TABLES['archive_address']} 
                         WHERE addressid ='{$addressid}'");
    $A = DB_fetchArray ($result);
    $parent = $A['parent'];

    // Get permission values
    $result = DB_query("SELECT owner_id,group_id,perm_owner,perm_group,perm_members,perm_anon 
                         FROM {$_TABLES['archive']} 
                         WHERE id ='{$parent}'");
    $A = DB_fetchArray ($result);
    $access = SEC_hasAccess ($A['owner_id'], $A['group_id'], $A['perm_owner'],
                             $A['perm_group'], $A['perm_members'], $A['perm_anon']);
    if ($access < 3) {
        // No access rights, so log and return
        COM_accessLog("User {$_USER['username']} tried to delete archive address $urlid.");
        return $_CONF['site_url'] . '/archive/index.php';
    }

    // Delete text item
    DB_delete ($_TABLES['archive_address'], 'addressid', $addressid);

    // Set return message
    if ($ajaxmode==1) {
        // AJAX mode, so return section only
        $retval = archive_list_addresses ($parent);
    } else {
        // otherwise, refresh whole page
        $retval = $_CONF['site_url']. '/archive/index.php?id='.$parent.'&msg=9';
    }

    // return a refresh url
    return $retval;
}


?>
