<?php

// Reminder: always indent with 4 spaces (no tabs). 
// +---------------------------------------------------------------------------+
// | Archive plugin 1.2 for Geeklog                                            |
// +---------------------------------------------------------------------------+
// | english.php                                                               |
// |                                                                           |
// | This file contains the English language strings for the                   |
// | Archive plugin for Geeklog.                                               |
// +---------------------------------------------------------------------------+
// | Based on the Universal Plugin and prior work by the following authors:    |
// |                                                                           |
// | Copyright (C) 2002-2007 by the following authors:                         |
// |                                                                           |
// | Authors: Euan McKay        - info AT heatherengineering DOT com           |
// |          Tony Bibbs        - tony AT tonybibbs DOT com                    |
// |          Tom Willett       - tom AT pigstye DOT net                       |
// |          Blaine Lang       - blaine AT portalparts DOT com                |
// |          Dirk Haun         - dirk AT haun-online DOT de                   |
// |          Vincent Furia     - vinny01 AT users DOT sourceforge DOT net     |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is licensed under the terms of the GNU General Public License|
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      |
// | See the GNU General Public License for more details.                      |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+



###############################################################################
# Array Format:
# $LANGXX[YY]:	$LANG - variable name
#		  	XX - file id number
#			YY - phrase id number
###############################################################################
/**
* the archive plugin's lang array
* 
* @global array $LANG_AR 
*/
$LANG_AR = array(
    10 => 'Submissions',
    14 => 'Archive',
    84 => 'archive',
    88 => 'No recent new archives',
    114 => 'archives',
    116 => 'Add an archive',
    'archive' => 'Archive',
    'archive_list' => 'The following archives are available on this site. Click the icon below to view each archive.',
    'no_archives' => 'There are no archives on this site or you do not have permission to view any archives.',
    'no_child_archives' => 'No subitems',
    'create_archive' => 'Create a new archive',
    'archive_editor' => 'Edit/enter the archive details below.',
    'archive_created' => 'Created',
    'archive_modified' => 'Modified',
    'add_archive' => 'Add archive',
    'add_text' => 'Add text',
    'add_image' => 'Add image',
    'add_address' => 'Add address',
    'add_related' => 'Add related item',
    'no_texts' => 'No texts',
    'no_images' => 'No images',
    'no_addresses' => 'No addresses',
    'no_related' => 'No related items',
    'itemdeleted' => 'Item has been deleted or removed',
    'archive_archives' => 'Contents',
    'archive_texts' => 'Texts',
    'archive_related' => 'Item',
    'archive_plugins' => 'Plugin',
    'title' => 'Title',
    'description' => 'Description',
    'text_editor' => 'Enter details below',
    'id' => 'ID',
    'content' => 'Content',
    'edit' => 'Edit',
    'delete' => 'Delete',
    'url' => 'URL',
    'address' => 'Address',
    'archive_parent' => 'Parent',
    'archive_images' => 'Related images',
    'archive_addresses' => 'Addresses',
    'address1' => 'Address 1',
    'address2' => 'Address 2',
    'address3' => 'Address 3',
    'address4' => 'Address 4',
    'address5' => 'Address 5',
    'city' => 'City',
    'state' => 'State',
    'country' =>'Country',
    'postcode' =>'Postcode',
    'telephone1' => 'Telephone 1',
    'telephone2' => 'Telephone 2',
    'telephone3' => 'Telephone 3',
    'facsimile1' => 'Facsimile 1',
    'facsimile2' => 'Facsimile 2',
    'facsimile3' => 'Facsimile 3',
    'parent' => 'Parent',
    'root' => 'Root',
    'sortorder' => 'Order',
    'archive_hits' => 'Hits',
    'nothingtoadd' => 'No new items to add'
);

$LANG_AR_ACCESS = array(
    'name' => 'Name',
    'can_read' => 'Can read this',
    'can_edit' => 'Can edit this',
    'owner_user' => 'User who owns this item',
    'owner_group' => 'Group that owns this item',
    'logged_in' => 'All logged in users',
    'anonymous' => 'Anonymous (not logged in) users'
);

###############################################################################
# for labels of extensions (other plugins)
/**
* the archive plugin's lang plugins array
* 
* @global array $LANG_AR_LABELS
*/
$LANG_AR_LABELS = array(
    'archive' => 'Archive',
    'staticpages' => 'Static Pages',
    'filemgmt' => 'Files',
    'links' => 'Links',
    'calendar' => 'Events',
    'images' => 'Images',
    'albums' => 'Albums',
    'stories' => 'Stories',
    'forum' => 'Forum'
);

###############################################################################
# for stats
/**
* the archive plugin's lang stats array
* 
* @global array $LANG_AR_STATS
*/
$LANG_AR_STATS = array(
    'archive' => 'archives (Clicks) in the System',
    'stats_headline' => 'Top Ten Archives',
    'stats_page_title' => 'archives5',
    'stats_hits' => 'Hits',
    'stats_no_hits' => 'It appears that there are no archives on this site or no one has ever clicked on one.',
);

###############################################################################
# for the search
/**
* the link plugin's lang search array
* 
* @global array $LANG_AR_SEARCH 
*/
$LANG_AR_SEARCH = array(
 'results' => 'Archive Results',
 'title'   => 'Title',
 'date'    => 'Date Added',
 'author'  => 'Submited by',
 'hits'    => 'Hits'
);


###############################################################################
# Messages for COM_showMessage the submission form

$PLG_archive_MESSAGE1 = "Your archive item has been saved successfully.";
$PLG_archive_MESSAGE2 = 'Your archive item has been deleted successfully.';
$PLG_archive_MESSAGE3 = 'No such archive. Please try again.';
$PLG_archive_MESSAGE4 = 'Insufficient data. Please try again.';
$PLG_archive_MESSAGE5 = 'No parent item data. Please try again.';
$PLG_archive_MESSAGE6 = 'Child archive items exist. Please delete these first.';
$PLG_archive_MESSAGE7 = 'Settings updated.';
$PLG_archive_MESSAGE8 = 'You do not have access rights to this section.';
$PLG_archive_MESSAGE9 = 'Item deleted.';

// Messages for the plugin upgrade
$PLG_archive_MESSAGE3002 = $LANG32[9];

###############################################################################
# admin/archive/index.php
/**
* the archive plugin's lang admin array
* 
* @global array $LANG_AR_ADMIN 
*/
$LANG_AR_ADMIN = array(
    1 => 'Archive Admin',
    2 => 'No settings available yet.'
);

?>
