<?php

// Reminder: always indent with 4 spaces (no tabs). 
// +---------------------------------------------------------------------------+
// | Archive plugin 1.2 for Geeklog                                            |
// +---------------------------------------------------------------------------+
// | mysql_install.php                                                         |
// |                                                                           |
// | This file contains the installation SQL for the                           |
// | Archive plugin for Geeklog.                                               |
// +---------------------------------------------------------------------------+
// | Based on the Universal Plugin and prior work by the following authors:    |
// |                                                                           |
// | Copyright (C) 2002-2007 by the following authors:                         |
// |                                                                           |
// | Authors: Euan McKay        - info AT heatherengineering DOT com           |
// |          Tony Bibbs        - tony AT tonybibbs DOT com                    |
// |          Tom Willett       - tom AT pigstye DOT net                       |
// |          Blaine Lang       - blaine AT portalparts DOT com                |
// |          Dirk Haun         - dirk AT haun-online DOT de                   |
// |          Vincent Furia     - vinny01 AT users DOT sourceforge DOT net     |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+

$_SQL[] = "
CREATE TABLE {$_TABLES['archive']} (
  id varchar(40) NOT NULL default '',
  parent varchar(40) NOT NULL default '0',
  sortorder mediumint(8) unsigned default NULL,
  title varchar(255) default NULL,
  description text,
  icon varchar(255) default NULL,
  status tinyint(1) unsigned NOT NULL default '0',
  haschild tinyint(1) unsigned NOT NULL default '0',
  hits int(11) NOT NULL default '0',
  created datetime default NULL,
  modified datetime default NULL,
  owner_id mediumint(8) unsigned NOT NULL default '1',
  group_id mediumint(8) unsigned NOT NULL default '1',
  perm_owner tinyint(1) unsigned NOT NULL default '3',
  perm_group tinyint(1) unsigned NOT NULL default '2',
  perm_members tinyint(1) unsigned NOT NULL default '2',
  perm_anon tinyint(1) unsigned NOT NULL default '2',
  INDEX archive_title(title),
  INDEX archive_modified(modified),
  PRIMARY KEY (id)
) TYPE=MyISAM
";


$_SQL[] = "
CREATE TABLE {$_TABLES['archive_text']} (
  textid varchar(40) NOT NULL default '',
  parent varchar(40) NOT NULL default '0',
  sortorder mediumint(8) unsigned default NULL,
  title varchar(255) default NULL,
  content text,
  INDEX text_title(title),
  PRIMARY KEY (textid)
) TYPE=MyISAM
";

$_SQL[] = "
CREATE TABLE {$_TABLES['archive_address']} (
  addressid varchar(40) NOT NULL default '',
  parent varchar(40) NOT NULL default '0',
  sortorder mediumint(8) unsigned default NULL,
  title varchar(255) default NULL,
  address1 varchar(255) default NULL,
  address2 varchar(255) default NULL,
  address3 varchar(255) default NULL,
  address4 varchar(255) default NULL,
  address5 varchar(255) default NULL,
  city varchar(255) default NULL,
  state varchar(255) default NULL,
  country varchar(255) default NULL,
  postcode varchar(255) default NULL,
  telephone1 varchar(255) default NULL,
  telephone2 varchar(255) default NULL,
  telephone3 varchar(255) default NULL,
  facsimile1 varchar(255) default NULL,
  facsimile2 varchar(255) default NULL,
  facsimile3 varchar(255) default NULL,
  INDEX address_id(addressid),
  INDEX address_title(title),
  PRIMARY KEY (addressid)
) TYPE=MyISAM
";

$_SQL[] = "
CREATE TABLE {$_TABLES['archive_related']} (
  relatedid varchar(40) NOT NULL default '',
  parent varchar(40) NOT NULL default '0',
  sortorder mediumint(8) unsigned default NULL,
  plugin varchar(255) default NULL,
  title varchar(255) default NULL,
  description varchar(255) default NULL,
  INDEX related_plugin(plugin),
  PRIMARY KEY (relatedid)
) TYPE=MyISAM
";


?>
